% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/exp-utils.R
\name{apex_or_public_suffix}
\alias{apex_or_public_suffix}
\title{Extract apex (or public suffix if no proper apex) from a FQDN or URL}
\usage{
apex_or_public_suffix(dom_or_url)
}
\arguments{
\item{dom_or_url}{a character vector of domains or URLs}
}
\description{
Extract apex (or public suffix if no proper apex) from a FQDN or URL
}
\examples{
\dontrun{
library(dplyr)
library(tidyr)

site <- inspect("http://rstudio.org")

group_by(site, requestId) \%>\%
  summarise(orig_url = request$url[1], r = extract_url_and_content_type(response)) \%>\%
  unnest() \%>\%
  mutate(apex = apex_or_public_suffix(url))
}
}
