% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/exp-utils.R
\name{extract_url_and_content_type}
\alias{extract_url_and_content_type}
\title{Extract final URL & content type from response column}
\usage{
extract_url_and_content_type(response)
}
\arguments{
\item{a}{\code{resoonse} column from a call to \code{\link[=inspect]{inspect()}}}
}
\description{
Intended to be used in a \code{\link[=by]{by()}} or \code{\link[dplyr:group_by]{dplyr::group_by()}}
context, passing in the actual column
}
\examples{
\dontrun{
library(dplyr)
library(tidyr)

site <- inspect("http://rstudio.org")

group_by(site, requestId) \%>\%
  summarise(orig_url = request$url[1], r = extract_url_and_content_type(response)) \%>\%
  unnest() \%>\%
  mutate(apex = apex_or_public_suffix(url))
}
}
